#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# GridBroadphase Class

Extends Broadphase
Defined in: `src/collision/GridBroadphase.js:7`

Axis aligned uniform grid broadphase.

## Constructor

### `GridBroadphase`

(

- `aabbMin`
- `aabbMax`
- `nx`
- `ny`
- `nz`

)

Defined in `src/collision/GridBroadphase.js:7`

#### Parameters:

- `aabbMin` Vec3
- `aabbMax` Vec3
- `nx` Number

  Number of boxes along x

- `ny` Number

  Number of boxes along y

- `nz` Number

  Number of boxes along z

- Index
- Methods
- Properties

## Item Index

### Methods

- aabbQuery
- boundingSphereCheck
- collisionPairs
- doBoundingBoxBroadphase
- doBoundingSphereBroadphase
- intersectionTest
- makePairsUnique
- needBroadphaseCollision
- setWorld

### Properties

- dirty
- useBoundingBoxes
- world

## Methods

### `aabbQuery`

(

- `world`
- `aabb`
- `result`

)
Array

Inherited from Broadphase: `src/collision/Broadphase.js:197`

Returns all the bodies within the AABB.

#### Parameters:

- `world` World
- `aabb` AABB
- `result` Array

  An array to store resulting bodies in.

#### Returns:

Array:

### `boundingSphereCheck`

(

- `bodyA`
- `bodyB`

)
Boolean

Inherited from Broadphase: `src/collision/Broadphase.js:183`

Check if the bounding spheres of two bodies overlap.

#### Parameters:

- `bodyA` Body
- `bodyB` Body

#### Returns:

Boolean:

### `collisionPairs`

(

- `world`
- `pairs1`
- `pairs2`

)

Inherited from Broadphase but overwritten in `src/collision/GridBroadphase.js:42`

Get all the collision pairs in the physics world

#### Parameters:

- `world` World
- `pairs1` Array
- `pairs2` Array

### `doBoundingBoxBroadphase`

(

- `bodyA`
- `bodyB`
- `pairs1`
- `pairs2`

)

Inherited from Broadphase: `src/collision/Broadphase.js:112`

Check if the bounding boxes of two bodies are intersecting.

#### Parameters:

- `bodyA` Body
- `bodyB` Body
- `pairs1` Array
- `pairs2` Array

### `doBoundingSphereBroadphase`

(

- `bodyA`
- `bodyB`
- `pairs1`
- `pairs2`

)

Inherited from Broadphase: `src/collision/Broadphase.js:89`

Check if the bounding spheres of two bodies are intersecting.

#### Parameters:

- `bodyA` Body
- `bodyB` Body
- `pairs1` Array

  bodyA is appended to this array if intersection

- `pairs2` Array

  bodyB is appended to this array if intersection

### `intersectionTest`

(

- `bodyA`
- `bodyB`
- `pairs1`
- `pairs2`

)

Inherited from Broadphase: `src/collision/Broadphase.js:73`

Check if the bounding volumes of two bodies intersect.

#### Parameters:

- `bodyA` Body
- `bodyB` Body
- `pairs1` Array
- `pairs2` Array

### `makePairsUnique`

(

- `pairs1`
- `pairs2`

)

Inherited from Broadphase: `src/collision/Broadphase.js:135`

Removes duplicate pairs from the pair arrays.

#### Parameters:

- `pairs1` Array
- `pairs2` Array

### `needBroadphaseCollision`

(

- `bodyA`
- `bodyB`

)
Bool

Inherited from Broadphase: `src/collision/Broadphase.js:48`

Check if a body pair needs to be intersection tested at all.

#### Parameters:

- `bodyA` Body
- `bodyB` Body

#### Returns:

Bool:

### `setWorld`

(

- `world`

)

Inherited from Broadphase: `src/collision/Broadphase.js:175`

To be implemented by subcasses

#### Parameters:

- `world` World

## Properties

### `dirty`

Boolean

Inherited from Broadphase: `src/collision/Broadphase.js:30`

Set to true if the objects in the world moved.

### `useBoundingBoxes`

Boolean

Inherited from Broadphase: `src/collision/Broadphase.js:23`

If set to true, the broadphase uses bounding boxes for intersection test, else it uses bounding spheres.

### `world`

World

Inherited from Broadphase: `src/collision/Broadphase.js:16`

The world to search for collisions in.